@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed&display=swap');

:root {
	--black: #000000;
	--white: #FFFFFF;
	--accent: #2c3e50;
	--gold: #f1c40f;
	--red: #ff275f;
	--subtitle: #3a526a;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Roboto Condensed', sans-serif;
}

header {
	position: fixed;
	top: 0;
	left: 0;
	height: 100vh;
	width: 100%;
	padding: 0 100px;
	background: var(--black);
	transition: 1s;
	box-sizing: border-box;
	display: flex;
	justify-content: flex-end;
	align-items: center;
}

header.sticky {
	height: 80px;
}

header .logo {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	font-size: 15vw;
	color: var(--white);
	z-index: 100;
	transition: 1s;
	font-weight: 700;
	text-decoration: none;
}

header.sticky .logo {
	position: absolute;
	font-size: 2em;
	left: 100px;
	transform: translate(0, -50%);

}

header img.banner {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	object-fit: cover;
	transition: 1s;
}

header.sticky img.banner {
	opacity: 0.5;
}

nav {
	position: relative;
	display: flex;
}

nav ul {
	position: relative;
	margin: 0;
	display: flex;
	transition: 0.25s;
	opacity: 0;
	visibility: hidden;
	transform: translateX(100px);
}

header.sticky nav ul {
	opacity: 1;
	transition: 0.25s;
	transition-delay: 0.75s;
	visibility: visible;
	transform: translateX(0);
}

nav ul li {
	list-style: none;
}

nav ul li a {
	color: var(--white);
	display: inline-block;
	padding: 10px 15px;
	font-size: 1.2em;
	text-decoration: none;
}

nav ul li a:hover {
	color: var(--gold);
}

section {
	margin-top: 50vh;
	padding: 100px 100px 0 100px;
	box-sizing: border-box;
}

section h2 {
	margin: 0;
	padding: 0;
	font-size: 3em;
}

p {
	font-size: 1.2em;
	margin-bottom: 15px;
}

.skills {
	margin-top: 10px;
}

ul {
	list-style: none;
}

/* --------------------------------------
        HEADSHOT & TEXT WRAP AROUND
  --------------------------------------*/
.image-container {
	float: left;
	/* Float the container to the left */
	margin-right: 20px;
	/* Add some space to the right of the image */
}

/* Clear the float to prevent content below the image from floating */
.clearfix::after {
	content: "";
	display: table;
	clear: both;
}

/* --------------------------------------
              SKILLS SECTION 
 --------------------------------------*/
.starSkills {
	margin-top: 50px;
}

.starSkills h2 {
	font-size: 3em;
	color: var(--white);
	background-color: var(--subtitle);
	padding: 5px;
}

/* --------------------------------------
             SKILL STARS SECTION 
  --------------------------------------*/
.starSkills {
	margin-top: 50px;
}

.starSkills h2 {
	font-size: 2em;
}

.skills-list {
	list-style: none;
	margin-top: 20px;
}

.skills-list li {
	margin-bottom: 10px;
}

.skill-row {
	display: flex;
	align-items: center;
}

.skill-name {
	flex: 1;
	margin-right: 10px;
	/* Reduce the margin between skill name and stars */
}

.skill-level {
	text-align: right;
}

.star {
	font-size: 1.5em;
	color: var(--black);
	/* Color of empty star */
}

.star-filled {
	font-size: 1.5em;
	color: var(--gold);
	/* Color of filled star */
}


/* --------------------------------------
  Change the color of the scrollbar track 
  --------------------------------------*/
/* Ensure the container has a fixed height and uses scrollbars */
/* Ensure the container has a fixed height and uses scrollbars */
.container {
	height: 300px;
	/* Set the desired height */
	overflow: scroll;
}

/* Customize the scrollbar */
::-webkit-scrollbar {
	width: 15px;
	/* Width of the scrollbar */
}

::-webkit-scrollbar-track {
	background-color: #f1f1f1;
	/* Background color of the track */
}

/* Change the color of the scrollbar thumb (the draggable part) */
::-webkit-scrollbar-thumb {
	background-color: var(--subtitle);
	/* Color of the thumb */
}

/* Change the color of the scrollbar thumb on hover */
::-webkit-scrollbar-thumb:hover {
	background-color: var(--subtitle);
	/* Color of the thumb on hover */
}


/* --------------------------------------
                RESUME STYLING
  --------------------------------------*/
.column h2 {
	margin-bottom: 10px;
}

.resume-item {
	margin-bottom: 30px;
	/* Adjust spacing between resume items */
}

.resume-item h3 {
	font-size: 1.5em;
	color: var(--white);
	background-color: var(--accent);
	padding: 10px;
}

.resume-item .resumePoints {
	list-style: circle;
	padding-top: 10px;
	padding-left: 20px;
}


.resume-item p {
	font-size: 1.2em;
	color: var(--white);
	background-color: var(--subtitle);
	margin: 0;
	padding-top: 5px;
	padding-right: 10px;
	text-align: right;
}

.resume-item .subtext {
	font-size: 15px;
	padding-bottom: 10px;
	font-style: italic;
}

.resume-item ul {
	list-style: none;
	padding-left: 0;
}

.resume-item ul li {
	font-size: 1.2em;
	margin-bottom: 5px;
	color: var(--black);
}

/* Optionally, you can add a border to each resume item */
.resume-item {
	border: 1px solid #ccc;
	padding: 10px;
	border-radius: 5px;
	box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
	background-color: #fff;
}

/* --------------------------------------
                PORTFOLIO SLIDE
  --------------------------------------*/

.hidden {
	display: none !important;
}

header.sticky+section.slideshow {
	display: block;
}

.slideshow {
	position: relative;
	margin: 0;
	padding: 0;
	height: 600px;
	overflow: hidden;
}

/* Vertically center the controls */
.owl-controls-overlay {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	left: 0;
	right: 0;
	z-index: 99999;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.title {
	margin: 0;
}

section.pageLength {
	padding: 100px !important;
	margin: 100px !important;
}

.hide {
	color: var(--white);
	padding: 100px;
	margin: 100px;
}

.carousel-image img {
	max-height: 600px;
	width: auto;
}

.hide-controls {
	display: none;
}

.owl-controls {
	display: none;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.owl-prev,
.owl-next {
	background-color: var(--accent);
	color: white;
	font-size: 24px;
	padding: 10px 20px;
	border: none;
	cursor: pointer;
	transition: background-color 0.3s, color 0.3s;
}

.owl-prev:hover,
.owl-next:hover {
	background-color: var(--subtitle);
}

#pauseButton {
	background-color: var(--accent);
	color: var(--white);
	font-size: 24px;
	padding: 10px 20px;
	border: none;
	cursor: pointer;
	transition: background-color 0.3s, color 0.3s;
	opacity: 0;
	/* Hide the button by default */
	pointer-events: none;
	/* Disable pointer events to prevent interaction when hidden */
}

#pauseButton:hover {
	background-color: var(--accent);
}

.slideshow:hover #pauseButton {
	opacity: 1;
	/* Display the button on hover */
	pointer-events: auto;
	/* Enable pointer events on hover */
}

.slider-nav {
	margin-top: 20px;
	/* space between main slider and thumbnails */
}

.slider-nav .item img {
	width: 100px;
	/* adjust as needed */
	height: auto;
	cursor: pointer;
	display: block;
	margin: 0 auto;
	opacity: 0.6;
	transition: opacity 0.3s ease;
}

.slider-nav .item.active img,
.slider-nav .item:hover img {
	opacity: 1;
}

/* --------------------------------------
               CONTACT SECTION
  --------------------------------------*/

.contact {
	max-width: 800px;
	margin: 40px auto;
	background-color: var(--white);
	padding: 40px;
	box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.1);
}

label {
	font-size: 14px;
	margin-bottom: 10px;
	display: block;
}

input[type="text"],
input[type="email"],
textarea {
	width: 100%;
	padding: 10px;
	margin-bottom: 20px;
	border: 1px solid #ccc;
	border-radius: 4px;
	font-size: 14px;
	transition: border 0.2s;
}

input[type="text"]:focus,
input[type="email"]:focus,
textarea:focus {
	border-color: var(--subtitle);
}

textarea {
	resize: vertical;
}

button {
	background-color: var(--subtitle);
	color: #fff;
	padding: 10px 20px;
	border: none;
	border-radius: 4px;
	cursor: pointer;
	transition: background-color 0.2s;
}

button:hover {
	background-color: #1f5e88;
}

/* Style for the success message */
#success-message {
	display: none;
	color: green;
	font-weight: bold;
}

/* Style to hide the form when the success message is displayed */
#contact-form.hidden {
	display: none;
}


/* --------------------------------------
             FOOTER
  --------------------------------------*/

footer {
	background-color: var(--subtitle);
	color: #ecf0f1;
	padding: 40px 0 10px 0;
	margin-top: 50px;
}

.footer-content {
	max-width: 1200px;
	margin: 0 auto;
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	gap: 30px;
}

.footer-content h3 {
	padding-bottom: 10px;
}

.about-me {
	padding-left: 30px;
}

.about-me,
.contact-details,
.social-media {
	flex: 1;
	min-width: 250px;
}

h3 {
	font-size: 20px;
}

.contact-details a {
	text-decoration: none;
	color: var(--white);
}

.contact-details ul {
	list-style-type: none;
}

.contact-details li {
	margin-bottom: 10px;
}

.social-media a {
	margin-right: 15px;
	color: var(--white);
	text-decoration: none;
}

.social-media img {
	height: 25px;
	transition: opacity 0.2s;
}

.social-media img:hover {
	opacity: 0.8;
}

.footer-bottom {
	text-align: right;
	margin-top: 30px;
	font-size: 14px;
	margin-right: 10px;
}

.footer-bottom a {
	color: var(--white);
	text-decoration: none;
}

@media (max-width: 991px) {
	header {
		padding: 0 40px;
	}

	section {
		padding: 20px;
	}

	section h2 {
		font-size: 2em;
	}

	header.sticky .logo {
		left: 40px;
	}

	header.sticky img.banner {
		opacity: 0;
	}

	nav ul {
		display: none;
		opacity: 0;
		visibility: hidden;
	}

	nav.active ul {
		position: fixed;
		top: 80px;
		left: 0;
		width: 100%;
		height: calc(100% - 80px);
		background: var(--black);
		padding: 0;
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
	}

	nav ul li a {
		font-size: 2em;
	}

	header.sticky .toggle {
		position: fixed;
		top: 15px;
		right: 40px;
		width: 50px;
		height: 50px;
		cursor: pointer;
		background: var(--white) url(/assets/images/icons/menu.png);
		background-size: 30px;
		background-repeat: no-repeat;
		background-position: center;
		z-index: 10;
	}

	header.sticky .toggle.active {
		background: var(--white) url(/assets/images/icons/close.png);
		background-size: 25px;
		background-repeat: no-repeat;
		background-position: center;
	}
}